summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-21 01:45:03 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-21 01:45:03 +0000
commite9e80b250eb6c41f488a84d900d91a90c92cf5a3 (patch)
tree27341c7c2cdf9b1772a0b0804d367eaba646c99c /dev-python
parentee351ba0c6aeb7ac58c28d208482dd9027629636 (diff)
downloadbaldeagleos-repo-e9e80b250eb6c41f488a84d900d91a90c92cf5a3.tar.gz
baldeagleos-repo-e9e80b250eb6c41f488a84d900d91a90c92cf5a3.tar.xz
baldeagleos-repo-e9e80b250eb6c41f488a84d900d91a90c92cf5a3.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/absl-py/Manifest1
-rw-r--r--dev-python/absl-py/absl-py-0.12.0.ebuild22
-rw-r--r--dev-python/boto3/metadata.xml4
-rw-r--r--dev-python/botocore/metadata.xml4
-rw-r--r--dev-python/diskcache/diskcache-5.2.1-r1.ebuild2
-rw-r--r--dev-python/fasteners/fasteners-0.16.3.ebuild2
-rw-r--r--dev-python/flatbuffers/Manifest1
-rw-r--r--dev-python/flatbuffers/flatbuffers-2.0.ebuild15
-rw-r--r--dev-python/google-pasta/google-pasta-0.2.0-r1.ebuild22
-rw-r--r--dev-python/lit/lit-12.0.0.ebuild2
-rw-r--r--dev-python/matplotlib/Manifest1
-rw-r--r--dev-python/matplotlib/files/matplotlib-3.4.1-xelatex-test.patch74
-rw-r--r--dev-python/matplotlib/matplotlib-3.4.1.ebuild1
-rw-r--r--dev-python/matplotlib/matplotlib-3.4.2.ebuild281
-rw-r--r--dev-python/patsy/files/patsy-0.5.1-py310.patch39
-rw-r--r--dev-python/patsy/patsy-0.5.1.ebuild23
-rw-r--r--dev-python/pygobject/files/pygobject-3.40.1-dynamicimporter-py310.patch63
-rw-r--r--dev-python/pygobject/pygobject-3.40.1-r1.ebuild78
-rw-r--r--dev-python/pyproject2setuppy/Manifest1
-rw-r--r--dev-python/pyproject2setuppy/pyproject2setuppy-14.ebuild30
-rw-r--r--dev-python/pyproject2setuppy/pyproject2setuppy-15.ebuild2
-rw-r--r--dev-python/pytables/files/pytables-3.6.1-numpy-float.patch176
-rw-r--r--dev-python/pytables/files/pytables-3.6.1-py310.patch49
-rw-r--r--dev-python/pytables/pytables-3.6.1.ebuild29
-rw-r--r--dev-python/toolz/files/toolz-0.11.1-py310.patch25
-rw-r--r--dev-python/toolz/toolz-0.11.1.ebuild6
-rw-r--r--dev-python/treq/Manifest1
-rw-r--r--dev-python/treq/treq-21.5.0.ebuild63
28 files changed, 944 insertions, 73 deletions
diff --git a/dev-python/absl-py/Manifest b/dev-python/absl-py/Manifest
index 537e6111c12c..3d0623845a67 100644
--- a/dev-python/absl-py/Manifest
+++ b/dev-python/absl-py/Manifest
@@ -1 +1,2 @@
DIST absl-py-0.10.0.tar.gz 234053 BLAKE2B c7d85d7b351ec5d67ac5e98d5103b91ee7b91d3e01b15fff86ead2e177ba596719af8668f2ec1dd81b278557d902a90705803f5bd6aa7576b302641129eed050 SHA512 92862cc7997f469d7121746d1a8f8fcf99a4983eb033dc936e2ef22bcab896950a5e2bd8ce7fe6660b761cc16a39145104a7e2ba3588f38cde1964505d0265c3
+DIST absl-py-0.12.0.tar.gz 229360 BLAKE2B f913f1eff2d8efc1f5bc06c83d09dbd5c57ba5fdc39953ccbe99750da49676a95112d4dcbcb13e20bd380c7c07f4a3d01e69ae940a19a91dc37e51b2189fb66c SHA512 566cae120779920f8529eb797f9b26a662df0fa2ac853d78424e35d906f487069a945b2ad5a9a292aa90663e8c31c363925aa3114331f0f5f9fb479c79d781ac
diff --git a/dev-python/absl-py/absl-py-0.12.0.ebuild b/dev-python/absl-py/absl-py-0.12.0.ebuild
new file mode 100644
index 000000000000..145a56f993c5
--- /dev/null
+++ b/dev-python/absl-py/absl-py-0.12.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Abseil Python Common Libraries"
+HOMEPAGE="https://github.com/abseil/abseil-py"
+SRC_URI="https://github.com/abseil/abseil-py/archive/pypi-v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/abseil-py-pypi-v${PV}"
diff --git a/dev-python/boto3/metadata.xml b/dev-python/boto3/metadata.xml
index c22f30623b69..2622adb690a7 100644
--- a/dev-python/boto3/metadata.xml
+++ b/dev-python/boto3/metadata.xml
@@ -2,10 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>dolsen@gentoo.org</email>
- <name>Brian Dolbec</name>
- </maintainer>
- <maintainer type="person">
<email>chutzpah@gentoo.org</email>
<name>Patrick McLean</name>
</maintainer>
diff --git a/dev-python/botocore/metadata.xml b/dev-python/botocore/metadata.xml
index f7fe3bb5b18c..f969ef22e7b2 100644
--- a/dev-python/botocore/metadata.xml
+++ b/dev-python/botocore/metadata.xml
@@ -2,10 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>dolsen@gentoo.org</email>
- <name>Brian Dolbec</name>
- </maintainer>
- <maintainer type="person">
<email>chutzpah@gentoo.org</email>
<name>Patrick McLean</name>
</maintainer>
diff --git a/dev-python/diskcache/diskcache-5.2.1-r1.ebuild b/dev-python/diskcache/diskcache-5.2.1-r1.ebuild
index 4d8630345ac1..ca8c8821e80f 100644
--- a/dev-python/diskcache/diskcache-5.2.1-r1.ebuild
+++ b/dev-python/diskcache/diskcache-5.2.1-r1.ebuild
@@ -18,7 +18,7 @@ S=${WORKDIR}/python-diskcache-${PV}
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
distutils_enable_sphinx docs
distutils_enable_tests pytest
diff --git a/dev-python/fasteners/fasteners-0.16.3.ebuild b/dev-python/fasteners/fasteners-0.16.3.ebuild
index 3a2151cf9076..6af672d01f10 100644
--- a/dev-python/fasteners/fasteners-0.16.3.ebuild
+++ b/dev-python/fasteners/fasteners-0.16.3.ebuild
@@ -14,7 +14,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]"
diff --git a/dev-python/flatbuffers/Manifest b/dev-python/flatbuffers/Manifest
index 1dec90d35b78..3c752d287c0a 100644
--- a/dev-python/flatbuffers/Manifest
+++ b/dev-python/flatbuffers/Manifest
@@ -1 +1,2 @@
DIST flatbuffers-1.12.tar.gz 11286 BLAKE2B 9286d9d53bfca515ff01d329decc61201b8bc6231db8700d920530b21b8a213769f4c092ea4af901168ff31f57641f46853cd9d52a6a90398ec8b6ec67b7fb0b SHA512 d7059508908c6bc7f421d04c0f8dbc9884015009b3601822489119853d851f2bf3aab941a96d19b354edf3c9c377625d0faf7b92f7a63a6d597e6ceac4abcf2d
+DIST flatbuffers-2.0.tar.gz 22462 BLAKE2B a07f1d27afd71aaa23ba26a061267f95bbb7e0ced8b2c110b3d60fdb9d922fd4b339d7abc63068a030e08e6d824871c61110a665edd6781ac54dd5ef8613975a SHA512 76636449c107f1b2d1a1f395dfbb04c89c25946d8a731a257475ff2517f9667095f3527280b87fdd4081fd5a9f7aa0a112d5daae742c1575d29abb69da595b6d
diff --git a/dev-python/flatbuffers/flatbuffers-2.0.ebuild b/dev-python/flatbuffers/flatbuffers-2.0.ebuild
new file mode 100644
index 000000000000..8bb678bab8bf
--- /dev/null
+++ b/dev-python/flatbuffers/flatbuffers-2.0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="RFC 7049 - Concise Binary Object Representation"
+HOMEPAGE="https://github.com/google/flatbuffers https://pypi.org/project/flatbuffers/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
diff --git a/dev-python/google-pasta/google-pasta-0.2.0-r1.ebuild b/dev-python/google-pasta/google-pasta-0.2.0-r1.ebuild
new file mode 100644
index 000000000000..d1dffb8b68b0
--- /dev/null
+++ b/dev-python/google-pasta/google-pasta-0.2.0-r1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="AST-based Python refactoring library"
+HOMEPAGE="https://pypi.org/project/google-pasta/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+distutils_enable_tests setup.py
diff --git a/dev-python/lit/lit-12.0.0.ebuild b/dev-python/lit/lit-12.0.0.ebuild
index e66fdc114b5d..7642cf86b370 100644
--- a/dev-python/lit/lit-12.0.0.ebuild
+++ b/dev-python/lit/lit-12.0.0.ebuild
@@ -12,7 +12,7 @@ HOMEPAGE="https://llvm.org/"
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv x86"
+KEYWORDS="amd64 arm ~arm64 ~ppc ~ppc64 ~riscv x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index 6825d7841173..1966957b6f1a 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -2,3 +2,4 @@ DIST freetype-2.6.1.tar.gz 2302080 BLAKE2B 6a5fb98e5fa6cf4b7d7533ad44e364227d8c2
DIST matplotlib-3.3.4.tar.gz 37941665 BLAKE2B 77b86dc3ceec3695a0d749197bcec684893d237da1aaf8778d9dc2038da1ba56b757bbce94efcf215ac30f35420b77e0a0e75ebb75b6d2cde5146d8a35ee25e7 SHA512 aadfe3db4edde9940b9e15daf1b6c5f237d3a6f38610956ceee994f919d711fce818ea12be4db18aa2a8638c4e8f434d79541fecaa7233e233bf4c73792bc4c4
DIST matplotlib-3.4.0.tar.gz 37142983 BLAKE2B 64b23d5b9e93e6b319674cea06d0ad425def952e50e7cb163ae91ae0d4460872bb329144271472b7dc2d0ab0a742c9c93ea735dca60ee4b4aa569cb4350cca0b SHA512 880c1e1027c819a34f5528b96d1b730cdd6541aa23931aef4185406ecec971ec2f4c8ca374eced56e654e016652472f7abcd0aae977dd4f327b8c511983a2a1d
DIST matplotlib-3.4.1.tar.gz 37253296 BLAKE2B e1dfd1b0d8bb0d3ed13ac03a5b3112a237c4b7ef3c82694ad6779c810bbd94c165bde88d00fad270d5da6e269d778b33f276620b51e1f134fa2c5b9dcb0a4f28 SHA512 076510ddd152a395fabb76aa47566e9b75f3c8ba3c5246b39229b20fbfc209d4bbdfd441271b22e364f0974963309c02bdd0519fc2a7e8a406afc462f69246b6
+DIST matplotlib-3.4.2.tar.gz 37308683 BLAKE2B b769244b3d7a7da9125f6b634e9340676d849322491390d1c9a0cec3dfce59a8b5b5c0b567575ae78212129f7303b6b1fbbf30ce7c8a23c43c1304e83c9c5f5e SHA512 d4798dd2d6c857db0fe6d4ec85ebabc028b78627311bab17f7b9b30f6aa61d5243114b1cfe9d83293ad66ae47df83add5272f032954990dfc04054a792049f2a
diff --git a/dev-python/matplotlib/files/matplotlib-3.4.1-xelatex-test.patch b/dev-python/matplotlib/files/matplotlib-3.4.1-xelatex-test.patch
new file mode 100644
index 000000000000..5f1bda49c71e
--- /dev/null
+++ b/dev-python/matplotlib/files/matplotlib-3.4.1-xelatex-test.patch
@@ -0,0 +1,74 @@
+From d0f92f582800b6bd6b4bb2e59cd7e5b3cd6b5948 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sun, 20 Jun 2021 14:46:17 +0200
+Subject: [PATCH] _GSConverter: handle stray 'GS' in output gracefully
+
+Search the GS output stream for either "GS<" or "GS>" explicitly rather
+than any "GS", in order to prevent the code from wrongly matching stray
+"GS". This fixes a recent test regression on Gentoo where the following
+output seems to have been wrongly matched:
+
+ **** Error 'gs' ignored -- ExtGState missing from Resources.
+ ^^
+
+Fixes #20472
+---
+ lib/matplotlib/testing/compare.py | 20 +++++++++++---------
+ 1 file changed, 11 insertions(+), 9 deletions(-)
+
+diff --git a/lib/matplotlib/testing/compare.py b/lib/matplotlib/testing/compare.py
+index 3957188b3e2..27af3e186bd 100644
+--- a/lib/matplotlib/testing/compare.py
++++ b/lib/matplotlib/testing/compare.py
+@@ -154,15 +154,17 @@ def encode_and_escape(name):
+ + b") run flush\n")
+ self._proc.stdin.flush()
+ # GS> if nothing left on the stack; GS<n> if n items left on the stack.
+- err = self._read_until(b"GS")
+- stack = self._read_until(b">")
+- if stack or not os.path.exists(dest):
+- stack_size = int(stack[1:]) if stack else 0
+- self._proc.stdin.write(b"pop\n" * stack_size)
+- # Using the systemencoding should at least get the filenames right.
+- raise ImageComparisonFailure(
+- (err + b"GS" + stack + b">")
+- .decode(sys.getfilesystemencoding(), "replace"))
++ err = self._read_until((b"GS<", b"GS>"))
++ if err.endswith(b"GS<"):
++ stack = self._read_until(b">")
++ if stack or not os.path.exists(dest):
++ stack_size = int(stack[1:]) if stack else 0
++ self._proc.stdin.write(b"pop\n" * stack_size)
++ # Using the systemencoding should at least get the filenames
++ # right.
++ raise ImageComparisonFailure(
++ (err + b"GS" + stack + b">")
++ .decode(sys.getfilesystemencoding(), "replace"))
+
+
+ class _SVGConverter(_Converter):
+From d73dd52edf7ec106cf2f6c0ffc79dcda31102ecd Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sun, 20 Jun 2021 15:07:56 +0200
+Subject: [PATCH] increase test_backend_pgf.py::test_xelatex[pdf] tol
+
+---
+ lib/matplotlib/tests/test_backend_pgf.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/lib/matplotlib/tests/test_backend_pgf.py b/lib/matplotlib/tests/test_backend_pgf.py
+index 55e375311..684f38fb7 100644
+--- a/lib/matplotlib/tests/test_backend_pgf.py
++++ b/lib/matplotlib/tests/test_backend_pgf.py
+@@ -80,7 +80,7 @@ def test_common_texification(plain_text, escaped_text):
+ # test compiling a figure to pdf with xelatex
+ @needs_xelatex
+ @pytest.mark.backend('pgf')
+-@image_comparison(['pgf_xelatex.pdf'], style='default')
++@image_comparison(['pgf_xelatex.pdf'], style='default', tol=0.8)
+ def test_xelatex():
+ rc_xelatex = {'font.family': 'serif',
+ 'pgf.rcfonts': False}
+--
+2.32.0
+
diff --git a/dev-python/matplotlib/matplotlib-3.4.1.ebuild b/dev-python/matplotlib/matplotlib-3.4.1.ebuild
index ebd6bf7db11a..77e34975b934 100644
--- a/dev-python/matplotlib/matplotlib-3.4.1.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.4.1.ebuild
@@ -147,6 +147,7 @@ python_prepare_all() {
local PATCHES=(
"${FILESDIR}"/matplotlib-3.4.0-test.patch
"${FILESDIR}"/matplotlib-3.3.3-disable-lto.patch
+ "${FILESDIR}"/matplotlib-3.4.1-xelatex-test.patch
)
# requires jupyter-nbconvert
diff --git a/dev-python/matplotlib/matplotlib-3.4.2.ebuild b/dev-python/matplotlib/matplotlib-3.4.2.ebuild
new file mode 100644
index 000000000000..711015a81593
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-3.4.2.ebuild
@@ -0,0 +1,281 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 flag-o-matic virtualx toolchain-funcs prefix
+
+FT_PV=2.6.1
+DESCRIPTION="Pure python plotting library with matlab like syntax"
+HOMEPAGE="https://matplotlib.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ test? (
+ https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
+ )"
+
+# Main license: matplotlib
+# Some modules: BSD
+# matplotlib/backends/qt4_editor: MIT
+# Fonts: BitstreamVera, OFL-1.1
+LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="cairo doc excel examples gtk3 latex qt5 tk webagg wxwidgets"
+
+# internal copy of pycxx highly patched
+# dev-python/pycxx
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/kiwisolver-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.18.2[${PYTHON_USEDEP}]
+ >=dev-python/pillow-7.1.1[jpeg,${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.2.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ >=dev-python/six-1.14.0[${PYTHON_USEDEP}]
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ media-fonts/stix-fonts
+ media-libs/freetype:2
+ media-libs/libpng:0
+ >=media-libs/qhull-2013:=
+ cairo? (
+ dev-python/cairocffi[${PYTHON_USEDEP}]
+ )
+ excel? (
+ dev-python/xlwt[${PYTHON_USEDEP}]
+ )
+ gtk3? (
+ >=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+ latex? (
+ virtual/latex-base
+ app-text/dvipng
+ app-text/ghostscript-gpl
+ app-text/poppler[utils]
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-xetex
+ )
+ qt5? (
+ dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+ )
+ webagg? (
+ >=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
+ )
+ wxwidgets? (
+ $(python_gen_cond_dep '
+ dev-python/wxpython:*[${PYTHON_USEDEP}]
+ ' python3_{8,9})
+ )
+"
+
+BDEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+ doc? (
+ >=app-text/dvipng-1.15-r1
+ >=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
+ >=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexrecommended
+ >=media-gfx/graphviz-2.42.3[cairo]
+ )
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+ >=www-servers/tornado-6.0.4[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+"
+
+# A few C++ source files are written to srcdir.
+# Other than that, the ebuild shall be fit for out-of-source build.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+distutils_enable_tests pytest
+
+pkg_setup() {
+ unset DISPLAY # bug #278524
+}
+
+use_supported() {
+ case ${1} in
+ wxwidgets)
+ [[ ${EPYTHON} == python3.[678] ]]
+ ;;
+ esac
+
+ return 0
+}
+
+use_setup() {
+ local uword="${2:-${1}}"
+ if use_supported "${1}" && use "${1}"; then
+ echo "${uword} = True"
+ echo "${uword}agg = True"
+ else
+ echo "${uword} = False"
+ echo "${uword}agg = False"
+ fi
+}
+
+python_prepare_all() {
+# Generates test failures, but fedora does it
+# local PATCHES=(
+# "${FILESDIR}"/${P}-unbundle-pycxx.patch
+# "${FILESDIR}"/${P}-unbundle-agg.patch
+# )
+# rm -r agg24 CXX || die
+# rm -r agg24 || die
+
+# cat > lib/${PN}/externals/six.py <<-EOF
+# from __future__ import absolute_import
+# from six import *
+# EOF
+
+ local PATCHES=(
+ "${FILESDIR}"/matplotlib-3.4.0-test.patch
+ "${FILESDIR}"/matplotlib-3.3.3-disable-lto.patch
+ "${FILESDIR}"/matplotlib-3.4.1-xelatex-test.patch
+ )
+
+ # requires jupyter-nbconvert
+ rm lib/matplotlib/tests/test_backend_nbagg.py || die
+
+ sed \
+ -e 's/matplotlib.pyparsing_py[23]/pyparsing/g' \
+ -i lib/matplotlib/{mathtext,fontconfig_pattern}.py \
+ || die "sed pyparsing failed"
+
+ sed -e 's:\(@pytest.mark.flaky\)(reruns=3):\1:' \
+ -i lib/matplotlib/tests/test_*.py || die
+
+ hprefixify setupext.py
+
+ rm -rf libqhull || die
+
+ export XDG_RUNTIME_DIR="${T}/runtime-dir"
+ mkdir "${XDG_RUNTIME_DIR}" || die
+ chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+ append-cppflags -DNDEBUG # or get old trying to do triangulation
+ tc-export PKG_CONFIG
+}
+
+python_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+
+ # create setup.cfg (see setup.cfg.template for any changes).
+
+ # common switches.
+ cat > "${BUILD_DIR}"/setup.cfg <<- EOF || die
+ [directories]
+ basedirlist = ${EPREFIX}/usr
+ [provide_packages]
+ pytz = False
+ dateutil = False
+ [libs]
+ system_freetype = True
+ system_qhull = True
+ [packages]
+ tests = $(usex test True False)
+ [gui_support]
+ agg = True
+ gtk = False
+ gtkagg = False
+ macosx = False
+ pyside = False
+ pysideagg = False
+ qt4 = False
+ qt4agg = False
+ $(use_setup cairo)
+ $(use_setup gtk3)
+ $(use_setup qt5)
+ $(use_setup tk)
+ $(use_setup wxwidgets wx)
+ EOF
+
+ if use gtk3 && use cairo; then
+ echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
+ else
+ echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
+ fi
+}
+
+wrap_setup() {
+ local MAKEOPTS=-j1
+ local -x MPLSETUPCFG="${BUILD_DIR}"/setup.cfg
+ "$@"
+}
+
+python_compile() {
+ wrap_setup distutils-r1_python_compile --build-lib="${BUILD_DIR}"/lib
+}
+
+python_compile_all() {
+ if use doc; then
+ cd doc || die
+
+ # necessary for in-source build
+ local -x PYTHONPATH="${BUILD_DIR}"/build/lib:${PYTHONPATH}
+
+ VARTEXFONTS="${T}"/fonts \
+ emake SPHINXOPTS= O=-Dplot_formats=png:100 html
+ fi
+}
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # we need to rebuild mpl against bundled freetype, otherwise
+ # over 1000 tests will fail because of mismatched font rendering
+ grep -v system_freetype "${BUILD_DIR}"/setup.cfg \
+ > "${BUILD_DIR}"/test-setup.cfg || die
+ local -x MPLSETUPCFG="${BUILD_DIR}"/test-setup.cfg
+ ln -s "${WORKDIR}/freetype-${FT_PV}" "${BUILD_DIR}" || die
+ distutils-r1_python_compile -j1 --build-lib="${BUILD_DIR}"/test-lib
+ local -x PYTHONPATH=${BUILD_DIR}/test-lib:${PYTHONPATH}
+
+ "${EPYTHON}" -c "import sys, matplotlib as m; sys.exit(m.test(argv=['-m', 'not network'], verbosity=2))" || die
+}
+
+python_install() {
+ wrap_setup distutils-r1_python_install
+
+ # mpl_toolkits namespace
+ python_moduleinto mpl_toolkits
+ python_domodule lib/mpl_toolkits/__init__.py
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+
+ distutils-r1_python_install_all
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/patsy/files/patsy-0.5.1-py310.patch b/dev-python/patsy/files/patsy-0.5.1-py310.patch
new file mode 100644
index 000000000000..04a712e7e426
--- /dev/null
+++ b/dev-python/patsy/files/patsy-0.5.1-py310.patch
@@ -0,0 +1,39 @@
+From 6328c7652e4d7fda9872a555d31658e54b7b0e6e Mon Sep 17 00:00:00 2001
+From: thequackdaddy <pquack@gmail.com>
+Date: Sun, 28 Oct 2018 19:38:08 -0500
+Subject: [PATCH] MAINT: A few python 3.7 fixes
+
+---
+ patsy/constraint.py | 5 ++++-
+ tools/check-API-refs.py | 2 +-
+ 3 files changed, 6 insertions(+), 2 deletions(-)
+
+diff --git a/patsy/constraint.py b/patsy/constraint.py
+index ca9f6e2..d710a94 100644
+--- a/patsy/constraint.py
++++ b/patsy/constraint.py
+@@ -10,7 +10,10 @@
+ __all__ = ["LinearConstraint"]
+
+ import re
+-from collections import Mapping
++try:
++ from collections.abc import Mapping
++except ImportError:
++ from collections import Mapping
+ import six
+ import numpy as np
+ from patsy import PatsyError
+diff --git a/tools/check-API-refs.py b/tools/check-API-refs.py
+index 8e9e8a1..9349028 100644
+--- a/tools/check-API-refs.py
++++ b/tools/check-API-refs.py
+@@ -9,7 +9,7 @@
+ root = dirname(dirname(abspath(__file__)))
+ patsy_ref = root + "/doc/API-reference.rst"
+
+-doc_re = re.compile("^\.\. (.*):: ([^\(]*)")
++doc_re = re.compile("^\\.\\. (.*):: ([^\\(]*)")
+ def _documented(rst_path):
+ documented = set()
+ for line in open(rst_path):
diff --git a/dev-python/patsy/patsy-0.5.1.ebuild b/dev-python/patsy/patsy-0.5.1.ebuild
index 60ea7a5109ab..e3b43bf2c384 100644
--- a/dev-python/patsy/patsy-0.5.1.ebuild
+++ b/dev-python/patsy/patsy-0.5.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,28 +13,15 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux"
-IUSE="doc"
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/scipy[${PYTHON_USEDEP}]
- "
-BDEPEND="
- doc? (
- dev-python/ipython[${PYTHON_USEDEP}]
- dev-python/matplotlib[${PYTHON_USEDEP}]
- dev-python/sphinx[${PYTHON_USEDEP}]
- dev-python/pandas[${PYTHON_USEDEP}]
- )"
+"
distutils_enable_tests nose
-python_compile_all() {
- use doc && emake -C doc html
-}
-
-python_install_all() {
- use doc && HTML_DOCS=( doc/_build/html/. )
- distutils-r1_python_install_all
-}
+PATCHES=(
+ "${FILESDIR}"/${P}-py310.patch
+)
diff --git a/dev-python/pygobject/files/pygobject-3.40.1-dynamicimporter-py310.patch b/dev-python/pygobject/files/pygobject-3.40.1-dynamicimporter-py310.patch
new file mode 100644
index 000000000000..341a096767b6
--- /dev/null
+++ b/dev-python/pygobject/files/pygobject-3.40.1-dynamicimporter-py310.patch
@@ -0,0 +1,63 @@
+From 1ae65be0f7e621002e2e29921e0252c1b57a170c Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sun, 20 Jun 2021 17:54:52 +0200
+Subject: [PATCH] Implement PEP451 semantics for DynamicImporter
+
+Make DynamicImporter PEP451-compliant in order to silence ImportWarnings
+in Python 3.10. This is mostly based on six._SixMetaPathImporter.
+
+Fixes #476
+---
+ gi/importer.py | 18 ++++++++++++++++++
+ 1 file changed, 18 insertions(+)
+
+diff --git a/gi/importer.py b/gi/importer.py
+index 32967974..006cf464 100644
+--- a/gi/importer.py
++++ b/gi/importer.py
+@@ -24,6 +24,7 @@
+ import sys
+ import warnings
+ import importlib
++import importlib.util
+ from contextlib import contextmanager
+
+ import gi
+@@ -103,6 +104,7 @@ def get_import_stacklevel(import_hook):
+ class DynamicImporter(object):
+
+ # Note: see PEP302 for the Importer Protocol implemented below.
++ # PEP451 for A ModuleSpec Type for the Import System.
+
+ def __init__(self, path):
+ self.path = path
+@@ -117,6 +119,16 @@ class DynamicImporter(object):
+
+ return self
+
++ def find_spec(self, fullname, path, target=None):
++ if not fullname.startswith(self.path):
++ return None
++
++ path, namespace = fullname.rsplit('.', 1)
++ if path != self.path:
++ return None
++
++ return importlib.util.spec_from_loader(fullname, self)
++
+ def load_module(self, fullname):
+ if fullname in sys.modules:
+ return sys.modules[fullname]
+@@ -149,3 +161,9 @@ class DynamicImporter(object):
+ sys.modules[fullname] = dynamic_module
+
+ return dynamic_module
++
++ def create_module(self, spec):
++ return self.load_module(spec.name)
++
++ def exec_module(self, module):
++ pass
+--
+2.32.0
+
diff --git a/dev-python/pygobject/pygobject-3.40.1-r1.ebuild b/dev-python/pygobject/pygobject-3.40.1-r1.ebuild
new file mode 100644
index 000000000000..c938253bdac5
--- /dev/null
+++ b/dev-python/pygobject/pygobject-3.40.1-r1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit gnome.org meson python-r1 virtualx xdg
+
+DESCRIPTION="Python bindings for GObject Introspection"
+HOMEPAGE="https://pygobject.readthedocs.io/"
+
+LICENSE="LGPL-2.1+"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="+cairo examples test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-libs/glib-2.56:2
+ >=dev-libs/gobject-introspection-1.56:=
+ dev-libs/libffi:=
+ cairo? (
+ >=dev-python/pycairo-1.16.0[${PYTHON_USEDEP}]
+ x11-libs/cairo[glib] )
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-libs/atk[introspection]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ x11-libs/gdk-pixbuf:2[introspection,jpeg]
+ x11-libs/gtk+:3[introspection]
+ x11-libs/pango[introspection]
+ )
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-dynamicimporter-py310.patch
+)
+
+src_configure() {
+ configuring() {
+ meson_src_configure \
+ $(meson_feature cairo pycairo) \
+ $(meson_use test tests) \
+ -Dpython="${EPYTHON}"
+ }
+
+ python_foreach_impl configuring
+}
+
+src_compile() {
+ python_foreach_impl meson_src_compile
+}
+
+src_test() {
+ local -x GIO_USE_VFS="local" # prevents odd issues with deleting ${T}/.gvfs
+ local -x GIO_USE_VOLUME_MONITOR="unix" # prevent udisks-related failures in chroots, bug #449484
+
+ testing() {
+ local -x XDG_CACHE_HOME="${T}/${EPYTHON}"
+ meson_src_test || die "test failed for ${EPYTHON}"
+ }
+ virtx python_foreach_impl testing
+}
+
+src_install() {
+ installing() {
+ meson_src_install
+ python_optimize
+ }
+ python_foreach_impl installing
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/pyproject2setuppy/Manifest b/dev-python/pyproject2setuppy/Manifest
index 597740ea3a87..c995193ce3c2 100644
--- a/dev-python/pyproject2setuppy/Manifest
+++ b/dev-python/pyproject2setuppy/Manifest
@@ -1,3 +1,2 @@
-DIST pyproject2setuppy-14.tar.gz 10669 BLAKE2B ee4fac31546455ac3144f4989dd4260d876a7b8bd749bb34b210e5fc0194fb6347f9b5e7ebc9aa1374b4e4e5e4f22d260923097a58b47b5b940c69ec77f3b5b1 SHA512 46bbe31460195ca7df2c7e707772a430ccdbabf264a26f54d98101d08031d302343a6299a8e20d7be3d7984c48ad095dae942bf4da085285f61e2900a501245a
DIST pyproject2setuppy-15.tar.gz 11796 BLAKE2B 7fd7176fa611e293d35db0cb91a029c0896921947252ffba51ba25599fab5ebe7d4a5c2f65593ec83bfcc180983de6e2022053bcaa3583c3f6cce9640e57c5f6 SHA512 dee048eed352ebf178981fdf9fd69143a72658d9161e2d65257001b3ee6773bb7040d12145e79496cf141cdf86aa5e5eeaf4de7023c4e721a3d978f9eb267374
DIST pyproject2setuppy-16.tar.gz 11902 BLAKE2B 13b9188d46064644ec5c549bdfaceef1a3df2da0d333cec37e593231cdcbf9277c81b32a95a2d2355a995feaec605bb0bb4610e51b1c06c1c3b50b3c9a73e1ca SHA512 e8e13644e5c88cfcc9f06ee9ece5c715ac1917d1eac9ba0d7a68a71d78ce84f50229890442c5c41e766083c302ae59f67bd20736e502615006cf35c41c2d3a9c
diff --git a/dev-python/pyproject2setuppy/pyproject2setuppy-14.ebuild b/dev-python/pyproject2setuppy/pyproject2setuppy-14.ebuild
deleted file mode 100644
index f26b68d1859b..000000000000
--- a/dev-python/pyproject2setuppy/pyproject2setuppy-14.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2019-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=manual
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-DESCRIPTION="Cheap setup.py hack to install flit & poetry-based projects"
-HOMEPAGE="https://github.com/mgorny/pyproject2setuppy"
-SRC_URI="
- https://github.com/mgorny/pyproject2setuppy/archive/v${PV}.tar.gz
- -> ${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
-
-RDEPEND="
- dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/toml[${PYTHON_USEDEP}]"
-BDEPEND="${RDEPEND}
- test? (
- dev-python/pytest-forked[${PYTHON_USEDEP}]
- dev-python/wheel[${PYTHON_USEDEP}]
- )"
-
-distutils_enable_tests pytest
diff --git a/dev-python/pyproject2setuppy/pyproject2setuppy-15.ebuild b/dev-python/pyproject2setuppy/pyproject2setuppy-15.ebuild
index 5de6536a8bad..f26b68d1859b 100644
--- a/dev-python/pyproject2setuppy/pyproject2setuppy-15.ebuild
+++ b/dev-python/pyproject2setuppy/pyproject2setuppy-15.ebuild
@@ -16,7 +16,7 @@ SRC_URI="
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
RDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
diff --git a/dev-python/pytables/files/pytables-3.6.1-numpy-float.patch b/dev-python/pytables/files/pytables-3.6.1-numpy-float.patch
new file mode 100644
index 000000000000..71fa3b85dacf
--- /dev/null
+++ b/dev-python/pytables/files/pytables-3.6.1-numpy-float.patch
@@ -0,0 +1,176 @@
+From d2a480d14f29fb1d2baee292bc6a2cca4817dcbd Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Zbigniew=20J=C4=99drzejewski-Szmek?= <zbyszek@in.waw.pl>
+Date: Sun, 24 Jan 2021 16:36:21 +0100
+Subject: [PATCH] Use lowercase float/int as numpy dtype
+
+Float64 is gone with numpy 1.20, which causes doctests to fail
+(https://bugzilla.redhat.com/show_bug.cgi?id=1914335).
+
+Similarly all uses of Float32, Int32 should be replaced by float32 and int32.
+
+>>> numpy.__version__
+'1.19.4'
+>>> [k for k in numpy.sctypeDict.keys() if str(k).lower().startswith('float')]
+['float16', 'Float16', 'float32', 'Float32', 'float64', 'Float64', 'float128', 'Float128', 'float_', 'float']
+
+>>> numpy.__version__
+'1.20.0rc2'
+>>> [k for k in numpy.sctypeDict.keys() if str(k).lower().startswith('float')]
+['float16', 'float32', 'float64', 'float128', 'float_', 'float']
+---
+ bench/bsddb-table-bench.py | 10 +++++-----
+ bench/postgres-search-bench.py | 4 ++--
+ bench/pytables-search-bench.py | 6 +++---
+ bench/recarray2-test.py | 2 +-
+ bench/shelve-bench.py | 10 +++++-----
+ bench/sqlite-search-bench.py | 4 ++--
+ tables/atom.py | 2 +-
+ 7 files changed, 19 insertions(+), 19 deletions(-)
+
+diff --git a/bench/bsddb-table-bench.py b/bench/bsddb-table-bench.py
+index dd9f875b..a2e02361 100644
+--- a/bench/bsddb-table-bench.py
++++ b/bench/bsddb-table-bench.py
+@@ -83,11 +83,11 @@ def createFile(filename, totalrows, recsize, verbose):
+ # Get the record object associated with the new table
+ if recsize == "big":
+ isrec = Big()
+- arr = np.array(np.arange(32), type=np.Float64)
+- arr2 = np.array(np.arange(32), type=np.Float64)
++ arr = np.array(np.arange(32), type=np.float64)
++ arr2 = np.array(np.arange(32), type=np.float64)
+ elif recsize == "medium":
+ isrec = Medium()
+- arr = np.array(np.arange(2), type=np.Float64)
++ arr = np.array(np.arange(2), type=np.float64)
+ else:
+ isrec = Small()
+ # print d
+@@ -107,8 +107,8 @@ def createFile(filename, totalrows, recsize, verbose):
+ #d['TDCcount'] = i % 256
+ d['ADCcount'] = (i * 256) % (1 << 16)
+ if recsize == "big":
+- #d.float1 = np.array([i]*32, np.Float64)
+- #d.float2 = np.array([i**2]*32, np.Float64)
++ #d.float1 = np.array([i]*32, np.float64)
++ #d.float2 = np.array([i**2]*32, np.float64)
+ arr[0] = 1.1
+ d['float1'] = arr
+ arr2[0] = 2.2
+diff --git a/bench/postgres-search-bench.py b/bench/postgres-search-bench.py
+index d2c9f4f4..7fe83f6a 100644
+--- a/bench/postgres-search-bench.py
++++ b/bench/postgres-search-bench.py
+@@ -15,11 +15,11 @@ def flatten(l):
+
+
+ def fill_arrays(start, stop):
+- col_i = numpy.arange(start, stop, type=numpy.Int32)
++ col_i = numpy.arange(start, stop, type=numpy.int32)
+ if userandom:
+ col_j = numpy.random.uniform(0, nrows, size=[stop - start])
+ else:
+- col_j = numpy.array(col_i, type=numpy.Float64)
++ col_j = numpy.array(col_i, type=numpy.float64)
+ return col_i, col_j
+
+ # Generator for ensure pytables benchmark compatibility
+diff --git a/bench/pytables-search-bench.py b/bench/pytables-search-bench.py
+index 726d30b1..6417186b 100644
+--- a/bench/pytables-search-bench.py
++++ b/bench/pytables-search-bench.py
+@@ -37,11 +37,11 @@ def create_db(filename, nrows):
+ stop = (j + 1) * step
+ if stop > nrows:
+ stop = nrows
+- arr_f8 = np.arange(i, stop, type=np.Float64)
+- arr_i4 = np.arange(i, stop, type=np.Int32)
++ arr_f8 = np.arange(i, stop, type=np.float64)
++ arr_i4 = np.arange(i, stop, type=np.int32)
+ if userandom:
+ arr_f8 += np.random.normal(0, stop * scale, shape=[stop - i])
+- arr_i4 = np.array(arr_f8, type=np.Int32)
++ arr_i4 = np.array(arr_f8, type=np.int32)
+ recarr = np.rec.fromarrays([arr_i4, arr_i4, arr_f8, arr_f8])
+ table.append(recarr)
+ j += 1
+diff --git a/bench/recarray2-test.py b/bench/recarray2-test.py
+index a8602d80..bf55389d 100644
+--- a/bench/recarray2-test.py
++++ b/bench/recarray2-test.py
+@@ -22,7 +22,7 @@ delta = 0.000001
+ # Creation of recarrays objects for test
+ x1 = np.array(np.arange(reclen))
+ x2 = chararray.array(None, itemsize=7, shape=reclen)
+-x3 = np.array(np.arange(reclen, reclen * 3, 2), np.Float64)
++x3 = np.array(np.arange(reclen, reclen * 3, 2), np.float64)
+ r1 = recarray.fromarrays([x1, x2, x3], names='a,b,c')
+ r2 = recarray2.fromarrays([x1, x2, x3], names='a,b,c')
+
+diff --git a/bench/shelve-bench.py b/bench/shelve-bench.py
+index d30739d8..a591ed1e 100644
+--- a/bench/shelve-bench.py
++++ b/bench/shelve-bench.py
+@@ -65,8 +65,8 @@ def createFile(filename, totalrows, recsize):
+ # Get the record object associated with the new table
+ if recsize == "big":
+ d = Big()
+- arr = NA.array(NA.arange(32), type=NA.Float64)
+- arr2 = NA.array(NA.arange(32), type=NA.Float64)
++ arr = NA.array(NA.arange(32), type=NA.float64)
++ arr2 = NA.array(NA.arange(32), type=NA.float64)
+ elif recsize == "medium":
+ d = Medium()
+ else:
+@@ -87,15 +87,15 @@ def createFile(filename, totalrows, recsize):
+ #d.TDCcount = i % 256
+ d.ADCcount = (i * 256) % (1 << 16)
+ if recsize == "big":
+- #d.float1 = NA.array([i]*32, NA.Float64)
+- #d.float2 = NA.array([i**2]*32, NA.Float64)
++ #d.float1 = NA.array([i]*32, NA.float64)
++ #d.float2 = NA.array([i**2]*32, NA.float64)
+ arr[0] = 1.1
+ d.float1 = arr
+ arr2[0] = 2.2
+ d.float2 = arr2
+ pass
+ else:
+- d.float1 = NA.array([i ** 2] * 2, NA.Float64)
++ d.float1 = NA.array([i ** 2] * 2, NA.float64)
+ #d.float1 = float(i)
+ #d.float2 = float(i)
+ d.grid_i = i
+diff --git a/bench/sqlite-search-bench.py b/bench/sqlite-search-bench.py
+index 76dc7c57..dc611695 100644
+--- a/bench/sqlite-search-bench.py
++++ b/bench/sqlite-search-bench.py
+@@ -136,10 +136,10 @@ CREATE INDEX ivar3 ON small(var3);
+ if randomvalues:
+ var3 = np.random.uniform(minimum, maximum, shape=[j - i])
+ else:
+- var3 = np.arange(i, j, type=np.Float64)
++ var3 = np.arange(i, j, type=np.float64)
+ if noise:
+ var3 += np.random.uniform(-3, 3, shape=[j - i])
+- var2 = np.array(var3, type=np.Int32)
++ var2 = np.array(var3, type=np.int32)
+ var1 = np.array(None, shape=[j - i], dtype='s4')
+ if not heavy:
+ for n in range(j - i):
+diff --git a/tables/atom.py b/tables/atom.py
+index f92e16ad..f93d915b 100644
+--- a/tables/atom.py
++++ b/tables/atom.py
+@@ -338,7 +338,7 @@ class Atom(metaclass=MetaAtom):
+ Traceback (most recent call last):
+ ...
+ ValueError: unknown NumPy scalar type: 'S5'
+- >>> Atom.from_sctype('Float64')
++ >>> Atom.from_sctype('float64')
+ Float64Atom(shape=(), dflt=0.0)
+
+ """
+--
+2.32.0
+
diff --git a/dev-python/pytables/files/pytables-3.6.1-py310.patch b/dev-python/pytables/files/pytables-3.6.1-py310.patch
new file mode 100644
index 000000000000..600516d16396
--- /dev/null
+++ b/dev-python/pytables/files/pytables-3.6.1-py310.patch
@@ -0,0 +1,49 @@
+From 2431150d691f5ccdb3da204a46e346c156ea2523 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Zbigniew=20J=C4=99drzejewski-Szmek?= <zbyszek@in.waw.pl>
+Date: Mon, 16 Nov 2020 10:53:05 +0100
+Subject: [PATCH] doctest: adjust __init__ TypeError formatting
+
+Python3.10 includes the class name in the TypeError string for
+__init__(), so the literal match does not work anymore.
+---
+ tables/atom.py | 4 ++--
+ tables/filters.py | 4 ++--
+ 2 files changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/tables/atom.py b/tables/atom.py
+index 81d37c54..9cfd8609 100644
+--- a/tables/atom.py
++++ b/tables/atom.py
+@@ -569,10 +569,10 @@ class Atom(metaclass=MetaAtom):
+ >>> atom3 = atom1.copy(shape=(2, 2))
+ >>> print(atom3)
+ Int32Atom(shape=(2, 2), dflt=0)
+- >>> atom1.copy(foobar=42)
++ >>> atom1.copy(foobar=42) #doctest: +ELLIPSIS
+ Traceback (most recent call last):
+ ...
+- TypeError: __init__() got an unexpected keyword argument 'foobar'
++ TypeError: ...__init__() got an unexpected keyword argument 'foobar'
+
+ """
+ newargs = self._get_init_args()
+diff --git a/tables/filters.py b/tables/filters.py
+index f809ce77..7cb9b02d 100644
+--- a/tables/filters.py
++++ b/tables/filters.py
+@@ -432,10 +432,10 @@ class Filters:
+ Filters(complevel=0, shuffle=False, bitshuffle=False, fletcher32=False, least_significant_digit=None)
+ >>> print(filters3)
+ Filters(complevel=1, complib='zlib', shuffle=False, bitshuffle=False, fletcher32=False, least_significant_digit=None)
+- >>> filters1.copy(foobar=42)
++ >>> filters1.copy(foobar=42) #doctest: +ELLIPSIS
+ Traceback (most recent call last):
+ ...
+- TypeError: __init__() got an unexpected keyword argument 'foobar'
++ TypeError: ...__init__() got an unexpected keyword argument 'foobar'
+
+ """
+
+--
+2.32.0
+
diff --git a/dev-python/pytables/pytables-3.6.1.ebuild b/dev-python/pytables/pytables-3.6.1.ebuild
index 931db7bf3d90..df1c4e363d65 100644
--- a/dev-python/pytables/pytables-3.6.1.ebuild
+++ b/dev-python/pytables/pytables-3.6.1.ebuild
@@ -1,9 +1,8 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
PYTHON_REQ_USE="threads(+)"
@@ -15,6 +14,7 @@ inherit distutils-r1 flag-o-matic
DESCRIPTION="Hierarchical datasets for Python"
HOMEPAGE="https://www.pytables.org/"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux"
@@ -22,26 +22,33 @@ LICENSE="BSD"
IUSE="doc examples test"
RESTRICT="!test? ( test )"
-RDEPEND="
+DEPEND="
app-arch/bzip2:0=
app-arch/lz4:0=
>=app-arch/zstd-1.0.0:=
>=dev-libs/c-blosc-1.11.1:0=
dev-libs/lzo:2=
>=dev-python/numpy-1.8.1[${PYTHON_USEDEP}]
- >=dev-python/numexpr-2.5.2[${PYTHON_USEDEP}]
- dev-python/six[${PYTHON_USEDEP}]
>=sci-libs/hdf5-1.8.15:0=
"
-DEPEND="${RDEPEND}
+RDEPEND="${DEPEND}
+ >=dev-python/numexpr-2.5.2[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="
>=dev-python/cython-0.21[${PYTHON_USEDEP}]
- test? ( dev-python/mock[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ ${RDEPEND}
+ )
"
-S="${WORKDIR}/${MY_P}"
-
DOCS=( RELEASE_NOTES.txt THANKS )
+PATCHES=(
+ "${FILESDIR}"/${P}-numpy-float.patch
+ "${FILESDIR}"/${P}-py310.patch
+)
+
python_prepare_all() {
export HDF5_DIR="${EPREFIX}"/usr
rm tables/*.c || die
@@ -58,7 +65,7 @@ python_compile() {
python_test() {
cd "${BUILD_DIR}"/lib* || die
- ${EPYTHON} tables/tests/test_all.py || die
+ "${EPYTHON}" tables/tests/test_all.py -v || die
}
python_install_all() {
diff --git a/dev-python/toolz/files/toolz-0.11.1-py310.patch b/dev-python/toolz/files/toolz-0.11.1-py310.patch
new file mode 100644
index 000000000000..d926f3457ab1
--- /dev/null
+++ b/dev-python/toolz/files/toolz-0.11.1-py310.patch
@@ -0,0 +1,25 @@
+From da81b1e8ab96b22ed81e6414099aba066633f3ff Mon Sep 17 00:00:00 2001
+From: Erik Welch <erik.n.welch@gmail.com>
+Date: Thu, 22 Apr 2021 00:20:24 -0500
+Subject: [PATCH] Support Python 3.10 by adding `anext` signature.
+
+Fixes #512
+---
+ .travis.yml | 3 ++-
+ toolz/_signatures.py | 3 +++
+ 2 files changed, 5 insertions(+), 1 deletion(-)
+
+diff --git a/toolz/_signatures.py b/toolz/_signatures.py
+index 328cea91..3ce1616a 100644
+--- a/toolz/_signatures.py
++++ b/toolz/_signatures.py
+@@ -45,6 +45,9 @@
+ lambda x: None],
+ all=[
+ lambda iterable: None],
++ anext=[
++ lambda aiterator: None,
++ lambda aiterator, default: None],
+ any=[
+ lambda iterable: None],
+ apply=[
diff --git a/dev-python/toolz/toolz-0.11.1.ebuild b/dev-python/toolz/toolz-0.11.1.ebuild
index 06430af4bdeb..56ae42b63bb0 100644
--- a/dev-python/toolz/toolz-0.11.1.ebuild
+++ b/dev-python/toolz/toolz-0.11.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -18,3 +18,7 @@ BDEPEND="
dev-python/versioneer[${PYTHON_USEDEP}]"
distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/${P}-py310.patch
+)
diff --git a/dev-python/treq/Manifest b/dev-python/treq/Manifest
index 88277f8c26c6..9e2ad2337ffc 100644
--- a/dev-python/treq/Manifest
+++ b/dev-python/treq/Manifest
@@ -1,2 +1,3 @@
DIST treq-20.9.0.tar.gz 60142 BLAKE2B a495b73221ee86163a5fefd03c8019f4b671a1f32d2ab304b89566339a36aaec7245d33b738b646fa48c42f4db9744938637ece058e067ee3f747e53ce442ab8 SHA512 c595ad69d5a9c688ca966cc897db669a57d14027e0bdc345d550f791390099743749be4a41294e61428cdc7bc0fa197474be780323b00f17a712505e081e7073
DIST treq-21.1.0.tar.gz 71018 BLAKE2B 44223c0ad618f4a57283db60063ee2fd263f958ff18d90b055733fc3bb24c87483a7b833e2210197a4edd003cb3f86647bbb636a9692e5535908b19e0186dba8 SHA512 b68ded90021cb801b276d6310e729a985205bb0701b1d0576b00c6c4efd97400625efffa35763ceef8f0f8d94172cae6fc1abdd3de1c0a4871223d4f06758d89
+DIST treq-21.5.0.tar.gz 71323 BLAKE2B 1e1f0f4c885c1d197fdf9c1a88c9ee486c3fcc4d126498f4ce10e59d62e2445e4935e3f4cabed5de2f2663c3049ab6b49e47a0bad29380a4bb901e30d6723f49 SHA512 81ccfaa90513f0ef53c60f69ff7c60e066c6f0669ab82cf361e0720e5fd3098eb88e9b205f5bb590f1e0cde6083e5e2dfbacb6086986f0dd91fc2b3038da3093
diff --git a/dev-python/treq/treq-21.5.0.ebuild b/dev-python/treq/treq-21.5.0.ebuild
new file mode 100644
index 000000000000..ea58ad5a2d17
--- /dev/null
+++ b/dev-python/treq/treq-21.5.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS="bdepend"
+
+inherit distutils-r1
+
+DESCRIPTION="A requests-like API built on top of twisted.web's Agent"
+HOMEPAGE="https://github.com/twisted/treq https://pypi.org/project/treq/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+ dev-python/incremental[${PYTHON_USEDEP}]
+ >=dev-python/hyperlink-21.0.0[${PYTHON_USEDEP}]
+"
+
+RDEPEND="${COMMON_DEPEND}
+ dev-python/six[${PYTHON_USEDEP}]
+ >=dev-python/twisted-18.7.0[crypt,${PYTHON_USEDEP}]
+ >=dev-python/requests-2.1.0[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+"
+
+DEPEND="${COMMON_DEPEND}
+ doc? ( dev-python/sphinx
+ ${RDEPEND} )
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/httpbin[${PYTHON_USEDEP}]
+ )"
+
+python_compile_all() {
+ use doc && emake -C "${S}/docs" html
+}
+
+python_install_all() {
+ use doc && HTML_DOCS=( docs/_build/html/ )
+
+ distutils-r1_python_install_all
+}
+
+test_instructions() {
+ ewarn "The 'test' USE flag and FEATURE only ensures that the correct"
+ ewarn "dependenciess are installed for this package."
+ ewarn "Please run eg:"
+ ewarn "$ python3.7 /usr/bin/trial treq"
+ ewarn "as a user for each of the python versions it is installed to"
+ ewarn "to correctly test this package."
+}
+
+python_test() {
+ # Tests fail when run via emerge
+ # they need proper network access
+ test_instructions
+}